Summary:	The Typesafe Signal Framework for C++
Summary(pl.UTF-8):	Środowisko sygnałów z kontrolą typów dla C++
Name:		libsigc++12
Version:	1.2.7
Release:	3
License:	LGPL
Vendor:		Karl E. Nelson <kenelson@ece.ucdavis.edu>
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/gnome/sources/libsigc++/1.2/libsigc++-%{version}.tar.bz2
# Source0-md5:	212f48536019e1f003d2509b4c9b36df
Patch0:		%{name}-m4.patch
Patch1:		am-lt.patch
URL:		http://libsigc.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	m4
Obsoletes:	libsigc++-examples
Obsoletes:	libsigc++ < 1:1.9
Conflicts:	libsigc++ < 1.1.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library implements a full callback system for use in widget
libraries, abstract interfaces, and general programming. Originally
part of the Gtk-- widget set, libsigc++ is now a seperate library to
provide for more general use. It is the most complete library of its
kind with the ablity to connect an abstract callback to a class
method, function, or function object. It contains adaptor classes for
connection of dissimilar callbacks and has an ease of use unmatched by
other C++ callback libraries.

%description -l pl.UTF-8
Ta biblioteka jest implementacją pełnego systemu callbacków do
używania w bibliotekach widgetów, interfejsach abstrakcyjnych i
ogólnym programowaniu. Oryginalnie była to część zestawu widgetów
Gtk--, ale jest teraz oddzielną biblioteką ogólniejszego
przeznaczenia. Jest to kompletna biblioteka tego typu z możliwością
łączenia abstrakcyjnych callbacków z metodami klas, funkcjami lub
obiektami funkcji. Zawiera klasy adapterów do łączenia różnych
callbacków.

%package devel
Summary:	Development tools for the Typesafe Signal Framework for C++
Summary(pl.UTF-8):	Narzędzia programistyczne do środowiska libsig++
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel
Requires:	m4
Obsoletes:	libsigc++-devel < 1:1.9

%description devel
Development tools for the Typesafe Signal Framework for C++.

%description devel -l pl.UTF-8
Narzędzia programistyczne do środowiska libsigc++ - sygnałów z
kontrolą typów.

%package static
Summary:	Static Typesafe Signal Framework for C++ libraries
Summary(pl.UTF-8):	Statyczna biblioteka libsigc++
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libsigc++-static < 1:1.9

%description static
Static Typesafe Signal Framework for C++ libraries.

%description static -l pl.UTF-8
Statyczna biblioteka libsigc++ - środowiska sygnałów z kontrolą typów.

%prep
%setup -q -n libsigc++-%{version}
%patch0 -p1
%patch1 -p1

%build
CXXFLAGS="%{rpmcflags} -fno-exceptions"
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsigc-1.2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsigc-1.2.so.5

%files devel
%defattr(644,root,root,755)
%doc AUTHORS README IDEAS FEATURES NEWS ChangeLog TODO doc/*
%attr(755,root,root) %{_libdir}/libsigc-1.2.so
%{_libdir}/libsigc-1.2.la
%{_includedir}/sigc++-1.2
%{_libdir}/sigc++-1.2
%{_pkgconfigdir}/sigc++-1.2.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libsigc-1.2.a
%changelog
* Sun Jun 14 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libsigc++12.git;a=log;h=master

* Sun Jun 14 2015 Jan Rękorajski <baggins@pld-linux.org> 5c65ed3
- clean up am/lt mess
- rel 3

* Sun Sep 28 2008 pawelz <pawelz@pld-linux.org> decf48e
- unified %files

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 3fb2ce8
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 4b1c2a0
- converted to UTF-8

* Mon Jun 27 2005 zbyniu <zbyniu@pld-linux.org> eb3c597
- R: libstdc++-devel in -devel, rel 2, STBR

* Wed Apr 13 2005 freetz <freetz@pld-linux.org> a5883d9
- 1.2.7, back to old soname in this release...

* Tue Apr 12 2005 freetz <freetz@pld-linux.org> 8013ccc
- 1.2.6

* Tue Apr 12 2005 freetz <freetz@pld-linux.org> f7144db
- already in sources

* Sat Sep 25 2004 radek <radek@pld-linux.org> d42c500
- cosmetics (spaces -> tabs)

* Sun Feb 29 2004 Jakub Bogusz <qboosh@pld-linux.org> ce065e5
- added libsigc++-1.2.x epoch to Obsoletes

* Sun Feb 29 2004 Jakub Bogusz <qboosh@pld-linux.org> 82de8ce
- no name macro in Conflicts and desc

* Sat Feb 28 2004 grzegol <grzegol@pld-linux.org> 5c12255
- moved from libsigc++-pc-libdir.patch

* Sat Feb 28 2004 grzegol <grzegol@pld-linux.org> 6cf7608
- moved from libsigc++-m4.patch

* Sat Feb 28 2004 grzegol <grzegol@pld-linux.org> bb864b4
- moved from libsigc++.spec

